Summary: "Common C++" - A GNU package for creating portable C++ programs
Name: CommonC++
Version: 1.0.0
Release: 1
Group: Development/Libraries
URL: http://www.voxilla.org/projects/projape.html
Source: ftp://www.voxilla.org/pub/ape/CommonC++-%{PACKAGE_VERSION}.tar.gz
Prefix: /usr
Copyright: GPL
BuildRoot: %{_tmppath}/CCXX-root
Packager: David Sugar <dyfet@ostel.com>

%description
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets.  Common C++ also offers
individual frameworks generally useful to developing portable C++
applications including a object persistance engine, math libraries,
threading, sockets, etc.  Common C++ is small, and highly portable.
Common C++ will support most Unix operating systems as well
as Win32, in addition to GNU/Linux.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%build
uname -a|grep SMP && make -j 2 || make

%install
make prefix=$RPM_BUILD_ROOT/%{prefix} install

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO OVERVIEW.TXT ChangeLog doc
/usr/lib/libcc*
/usr/include/cc++

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

